Skip to content

Update chat.​

PATCH
/backend/v1/chats/{chatId}

Only the chat's owner can perform updates.
You can modify the chat name, public access, organization access, user access, remove user access,
and mark the chat as starred.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

chatId*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"orgAccess": true,
  
"publicAccess": true,
  
"removeUserAccess": [
  
  
"string"
  
],
  
"starred": true,
  
"userAccess": [
  
  
"string"
  
]
}

Responses​

Successful Response

application/json
JSON
{
  
"message": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

Updated at: